Please support VectorLinux!

Author Topic: digikam for VL7  (Read 12407 times)

rkonrad

  • Member
  • *
  • Posts: 79
digikam for VL7
« on: April 04, 2012, 05:49:27 am »
I couldn't find digikam under the VL7 repositories.  Did I miss something or is the package in the testing phase?

Richard

rkonrad

  • Member
  • *
  • Posts: 79
Re: digikam for VL7
« Reply #1 on: July 24, 2012, 02:40:17 pm »
Surely someone must know the answer to my question?  But if you indeed do not know - could you direct me to another source?  Thanks.

Richard

sledgehammer

  • Vectorian
  • ****
  • Posts: 1451
Re: digikam for VL7
« Reply #2 on: July 25, 2012, 08:23:26 am »
I don't see it either.  If I were you I would put in a new package request.
VL7.0 xfce4 Samsung RF511

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: digikam for VL7
« Reply #3 on: July 25, 2012, 04:39:37 pm »
I will try to build it for u :)

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3208
Re: digikam for VL7
« Reply #4 on: July 25, 2012, 05:28:35 pm »
I almost recall doing this one at some point on the bot. Cant remember how it went though.  The build database has been reset since then, so the build logs from back then are gone :(

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: digikam for VL7
« Reply #5 on: August 01, 2012, 04:27:38 pm »
Sorry for the delay...digikam-2.7.0 should be in the testing repo now...pls try it :)

rkonrad

  • Member
  • *
  • Posts: 79
Re: digikam for VL7
« Reply #6 on: August 03, 2012, 11:04:55 am »
Thanks you!  I will try it.

rkonrad

  • Member
  • *
  • Posts: 79
Re: digikam for VL7
« Reply #7 on: August 03, 2012, 11:42:01 am »
Ok.  I tried it but get complaints about loading shared libraries:  libavcodec.so.52.  I thought I'd be clever and simply create a ln -s from my libavcodec.so.53 but now it complains about libavformat.  Is the fix simple?  thanks

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: digikam for VL7
« Reply #8 on: August 03, 2012, 04:59:38 pm »
Do you install digikam via slapt-get/gslapt? What version of ffmpeg you having now?

rkonrad

  • Member
  • *
  • Posts: 79
Re: digikam for VL7
« Reply #9 on: August 04, 2012, 12:12:32 am »
I did install via gslapt and my ffmpeg version is 0.10

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: digikam for VL7
« Reply #10 on: August 06, 2012, 04:36:17 pm »
If you open a terminal and run digikam from it and it show the error directly?
I have try it on SOHO VL7 and digikam open without error...

Can you try run command locate libavcodec from terminal

Quote
root:# locate libavcodec
/usr/lib/vlc/plugins/codec/libavcodec_plugin.so
/usr/lib/libavcodec.so.53.60.100
/usr/lib/libavcodec.so.53
/usr/lib/libavcodec.a
/usr/lib/pkgconfig/libavcodec.pc
/usr/lib/libavcodec.so
/usr/include/libavcodec
/usr/include/libavcodec/version.h
/usr/include/libavcodec/dxva2.h
/usr/include/libavcodec/opt.h
/usr/include/libavcodec/vdpau.h
/usr/include/libavcodec/xvmc.h
/usr/include/libavcodec/avfft.h
/usr/include/libavcodec/avcodec.h
/usr/include/libavcodec/vaapi.h
/usr/include/libavcodec/vda.h

PS: I have ffmpeg-0.10-i586-1vl70 installed on VL7 SOHO

rkonrad

  • Member
  • *
  • Posts: 79
Re: digikam for VL7
« Reply #11 on: August 08, 2012, 02:14:55 pm »
rkonrad:$ locate libavcodec
/usr/include/libavcodec
/usr/include/libavcodec/vdpau.h
/usr/include/libavcodec/avfft.h
/usr/include/libavcodec/avcodec.h
/usr/include/libavcodec/xvmc.h
/usr/include/libavcodec/opt.h
/usr/include/libavcodec/version.h
/usr/include/libavcodec/vda.h
/usr/include/libavcodec/dxva2.h
/usr/include/libavcodec/vaapi.h
/usr/lib/libavcodec.so
/usr/lib/libavcodec.so.53
/usr/lib/libavcodec.so.53.60.100
/usr/lib/libavcodec.a
/usr/lib/pkgconfig/libavcodec.pc
/usr/lib/vlc/plugins/codec/libavcodec_plugin.la
/usr/lib/vlc/plugins/codec/libavcodec_plugin.so
/usr/lib/libavcodec.so.52

This is what I get running the command locate libavcodec.  the "libavcodec.so.52 is a soft link to 53.  After creating this link and now when I run digikam from the terminal I get:

rkonrad:$ digikam
digikam: error while loading shared libraries: libavformat.so.52: cannot open shared object file: No such file or directory.


rkonrad

  • Member
  • *
  • Posts: 79
Re: digikam for VL7
« Reply #12 on: August 09, 2012, 11:47:02 am »
I should add that the reason I created the symbolic link is because it first complained that I was missing libavcodec.so.52.  Should I delete this?

Thanks,
Richard

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: digikam for VL7
« Reply #13 on: August 09, 2012, 04:21:09 pm »
Try remove the symlink that you have create and try again...maybe u want to run ldconfig and updatedb first :)
then open up a terminal/console and run digikam from it...show me the output from the terminal/console too...

rkonrad

  • Member
  • *
  • Posts: 79
Re: digikam for VL7
« Reply #14 on: August 10, 2012, 12:21:39 pm »
This is the ouput of "ldconfig"


ldconfig: /usr/lib/libtalloc.so.2 is not a symbolic link


I ran updatedb - was there anything here you wanted to see?

I ran digikam and I get:


digikam: error while loading shared libraries: libavcodec.so.52: cannot open shared object file: No such file or directory